<template>
    <div>

        <article class="media">
            <div class="media-content">
                <div class="content">
                    <label class="checkbox">
                        <input class="todo-checkbox" v-if="!todo.is_complete"
                               type="checkbox" v-on:change="$emit('markDone', todo)">
                        <span v-bind:class="{'is_complete':todo.is_complete}">{{todo.title}}</span>
                    </label>
                </div>
            </div>
            <div class="media-left no-margin">
                <div class="buttons">
                    <button
                            @click="$emit('del-todo', todo.id)"
                            class="delete is-small is-danger"
                            type="button">x
                    </button>
                </div>
            </div>
        </article>
    </div>
</template>

<script>
    //import axios from "axios";

    export default {
        name: "ToDoItem",
        props: ["todo"],
        methods: {
        }
    }
</script>

<style scoped>
    .del-btn {
        float: right;
        color: red;
    }

    .is-complete {

    }

    .no-margin {
        margin: 0 !important;
    }

    span.is_complete {
        text-decoration: line-through;
        font-style: italic;
    }
    .todo-checkbox {
        margin-right: 0.5rem;
    }
</style>